Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "microsoftDynamics",
  "type": "MICROSOFT_DYNAMICS_TRIGGER_RECORD_CREATED",
  "parameters": {
    "mdEntity": "Opportunity",
    "filterFormula": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "name",
              "operator": "$stringExactlyMatches",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
Configuration options:
mdEntity
ENUM
required
Choose an entity
  • Allowed values: Opportunity (Opportunity), Account (Account), Contact (Contact), Lead (Lead), Call (Call), Meeting (Meeting), Task (Task), Note (Note), Custom Entity (<specified by entity property>)
  • Options can be loaded by using the cachedCustomEntities key. Learn more in User Configuration.
Additional options when this parameter is set to Opportunity.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: name, customerid, salesstagecode, estimatedclosedate, actualclosedate, estimatedvalue, description, _ownerid_value, transactioncurrencyid
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Account.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: name, _ownerid_value, websiteurl, telephone1, description
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Contact.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: firstname, lastname, emailaddress1, telephone1, jobtitle, description
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Lead.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: subject, firstname, lastname, emailaddress1, telephone1, websiteurl, jobtitle, salesstagecode, description
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Call.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: subject, directioncode, _regardingobjectid_value, phonenumber, actualdurationminutes, description, scheduledend, prioritycode
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Meeting.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: subject, scheduledstart, scheduledend, _regardingobjectid_value, location, description, prioritycode
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Task.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: subject, _regardingobjectid_value, scheduledend, _ownerid_value, prioritycode, description
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to Note.
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields: _objectid_value, subject, notetext
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse
Additional options when this parameter is set to <specified by entity property>.
customMdEntityName
TEXTAREA
required
The Entity Set Name of the Object. Use Connect Portal Workflow Settings to allow users to select a Custom Object.
  • Example value: entitysetname
filterFormula
CONDITIONAL
Search for records that match specified filters.
  • Supported filter fields are loaded from cachedFields after selecting mdEntity.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringContains, $numberLessThan, $dateTimeBefore, $numberEquals, $dateTimeEquals, $numberGreaterThan, $dateTimeAfter, $numberDoesNotEqual, $numberGreaterThanOrEqualTo, $numberLessThanOrEqualTo, $booleanTrue, $booleanFalse